Bug 1498162 (ovn_ipv6_rs) - OVN: Support IPv6 Router Solicitation responder and Neighbor solicitation generation for unknow MACs
Summary: OVN: Support IPv6 Router Solicitation responder and Neighbor solicitation gen...
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: ovn_ipv6_rs
Product: Red Hat OpenStack
Classification: Red Hat
Component: openvswitch
Version: unspecified
Hardware: Unspecified
OS: Unspecified
medium
high
Target Milestone: z5
: 13.0 (Queens)
Assignee: Numan Siddique
QA Contact: Eran Kuris
URL:
Whiteboard:
Depends On: 1567735 1580460
Blocks: osp13ovn ovn_ipv6_ra_python 1548947
TreeView+ depends on / blocked
 
Reported: 2017-10-03 15:12 UTC by Numan Siddique
Modified: 2019-02-18 11:37 UTC (History)
12 users (show)

Fixed In Version: openvswitch-2.9.0-3.el7fdb
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-02-18 11:37:37 UTC
Target Upstream Version:


Attachments (Terms of Use)

Description Numan Siddique 2017-10-03 15:12:27 UTC
Description of problem:

OVN presently 
  - doesn't support Responding to the Router solicitation requests from the VM's
  - doesn't generate a NS request to resolve the MAC for packets going out of gateway port if the next hop MAC is unknown.

This needs to be supported.

Version-Release number of selected component (if applicable):


How reproducible:


Steps to Reproduce:
1.
2.
3.

Actual results:


Expected results:


Additional info:

Comment 4 Miguel Angel Ajo 2017-12-11 11:22:16 UTC
@Numans, is it merged? :)

Comment 5 Numan Siddique 2017-12-11 11:36:07 UTC
@Miguel - Yes.  In master. So it would be available in OVS 2.9

Comment 10 Toni Freger 2018-05-27 06:38:11 UTC
Moving back to ASSIGNED.
This RFE depends on https://bugzilla.redhat.com/show_bug.cgi?id=1567735 that targeted to Zstrem release.

Comment 14 Eran Kuris 2019-02-14 13:47:10 UTC
Fixed verified on openvswitch-2.9.0-83.el7fdp.1.x86_64
 OpenStack/13.0-RHEL-7/2019-01-22.1/

Created Ipv6 external subnet, remove from OVN mac table all the entries and from VM I pinged to IPv6 external port. I saw that ovn learned the mac address

Thanks to Numan with helping verify this issue.


Note You need to log in before you can comment on or make changes to this bug.